/* Copyright (c) 1997, MpegTV LLC */
#ifndef _config_win_shared_h
#define _config_win_shared_h

/* common include for all win32 and wince configurations */


#ifndef WIN32
#define WIN32
#endif

#define USE_VOH_WIN32

#ifdef _MT
#define _REENTRANT
#define MTVP_THREAD	// must be defined, is now used by some headers e.g. com_api.h
#define USE_AUDIO_THREAD
#define USE_INPUT_THREAD
#define USE_DISPLAY_THREAD
#else
// most likely nothing will work in this case!
#endif

#if defined(UNDER_CE) && UNDER_CE >= 212 && defined(WIN32_PLATFORM_PSPC)
#define POCKET_PC
#endif

#if defined(_WIN32_WCE_EMULATION) && !defined(WIN32_PLATFORM_HPCPRO)
#define POCKET_PC
#endif

// We now have a custom GAPI for the BE300
#if defined(POCKET_PC) || defined(WIN32_PLATFORM_BE300)
#define USE_VOH_GAPI
#endif

// GAPI now available on the Casio E-100 (Palm-size PC)
#if defined(UNDER_CE) && UNDER_CE <= 211 && defined(WIN32_PLATFORM_PSPC) && defined(MIPS)
#define USE_VOH_GAPI
#endif

// GAPI now available on the J720
//#if defined(UNDER_CE) && UNDER_CE >= 211 && (WCE_PLATFORM == WIN32_PLATFORM_HPCPRO || WCE_PLATFORM == WIN32_PLATFORM_HPC2000) && defined(ARM)
//#define USE_VOH_GAPI
//#endif


#if defined(UNDER_CE) && UNDER_CE >= 211 && defined(WIN32_PLATFORM_PSPC)
#define HAVE_AYGSHELL
#endif


/*
 * Define WORDS_BIGENDIAN if a (int *), once casted to (char *),
 * becomes a pointer to the most significant byte of the int.
 * define WORDS_BIGENDIAN for Motorola, don't define it for Intel.
 */
/*#define WORDS_BIGENDIAN*/

/* Define LONG_INT if long and int have the same size */
#define LONG_INT

/* Define FAST_MUL if multiplication is fast (i.e. mul instruction) */
/*#define FAST_MUL*/

/* Define O_BINARY = 0 if binary file access is standard */
/*#define O_BINARY	0*/


/* Define CLK_TCK = # of clock ticks per sec for times(), if not defined in <limits.h> */
/*#define CLK_TCK ???*/

/* Undef storage qualifiers (near, register, online) that must NOT be ignored */

/* Define NO_MMAP if mmap is not available */
/*#define NO_MMAP*/

/* Define TRUNCATE_EXACT if truncate and ftruncate set file size to
 * exactly specified size. Do not define if truncate and ftruncate
 * set file size to ***at most*** the specified size */
/*#define TRUNCATE_EXACT*/

/* Define NO_VALUES if file <values.h> is not defined */
#define NO_VALUES

/* Define NO_AIO if aiowrite() and aiowait() don't exist */
#define NO_AIO


/* Define NO_HOSTNAME if gethostname() does not exist */
/*#define NO_HOSTNAME*/

/* Define NO_GETHOSTID if gethostid() does not exist or is broken */
/* #define NO_GETHOSTID */

/* Define SHIFT_RIGHT_EXTENDS_SIGN if -1 >> 1 == -1 */
#define SHIFT_RIGHT_EXTENDS_SIGN

/* Define MPEG_POSIX_SOURCE if operating system is compliant with POSIX.1 */
#define MPEG_POSIX_SOURCE

/* Define NEED_MEMORY_H if you have memory.h, and string.h doesn't declare the
   mem* functions.  */
/*#define NEED_MEMORY_H*/

/* Define HAVE_UNISTD_H if you have unistd.h.  */
/*#define HAVE_UNISTD_H*/

/* Define GETTIMEOFDAY_TAKES_TIMEZONE if gettimeofday() expect struct timezone *tzp as a second argument */
#define GETTIMEOFDAY_TAKES_TIMEZONE

/* Define PATH_MAX to the max pathname size only if _POSIX_PATH_MAX is not defined */
#define PATH_MAX _MAX_PATH

/* Define HAVE_SYS_TYPES_H if <sys/types.h> exists and defines u_int etc...  */
/*#define HAVE_SYS_TYPES_H*/

/* define USE_INT64 for 64-bits architectures (i.e. with a native int64 type) */
/*#define USE_INT64*/

/* Define SIGNAL_RESETS_HANDLER if receiving a signal resets the handler  */
/*#define SIGNAL_RESETS_HANDLER*/

/* Define OPEN_SOUND_DRIVER to include Open Sound System (OSS) audio driver support */
/*#define OPEN_SOUND_DRIVER*/

/* Define HAVE_STRINGS_H if <strings.h> exists and defines rindex() etc...  */
/*#define HAVE_STRINGS_H*/

/* Define NO_DLOPEN if dlopen() does not exist */
//#define NO_DLOPEN

/* Define HAVE_SEARCH_H if <search.h> exists */
#define HAVE_SEARCH_H

/* Define NO_X to compile without any reference to X11 */
#define NO_X

/* Define X_SH_MEM if X-server shared memory extension is available */
/*#define X_SH_MEM*/

/* on windows (except on WinCE), INT32 is predefined */
#undef INT32

/* cpp seems to be ANSI compliant, at least for the ## trick */
#define __STDCPP__


#endif /* _config_win_shared_h */
